`lqr_carver_init`
Prev | Carver objects | Next

## Name

lqr_carver_init — activates an `LqrCarver` object

## Synopsis

    #include <lqr.h>

`LqrRetVal lqr_carver_init(` | LqrCarver* carver,
| gint delta_x,
| gfloat rigidity`)`;

## Description

The function `lqr_carver_init` initialises the `LqrCarver` pointed to by `carver`, so that it can compute the visibility maps as needed upon calls of `lqr_carver_resize`.

The parameter `delta_x` controls the maximum transversal step a seam can make. A value of 0 means straight seams. Normally, it is set to 1.

The parameter `rigidity` can be used to add a negative bias to non-straight seams, and it is normally set to 0.

Visibility maps must not be loaded with the function `lqr_vmap_load` when using this function, neither before nor after invoking it.

## Return value

The return value follows the Liquid Rescale library signalling system.

## See also

LqrRetVal(3), `lqr_carver_new`(3), `lqr_vmap_load`(3), `lqr_carver_set_preserve_input_image`(3)

Prev | Up | Next
`lqr_carver_destroy` | Home | `lqr_carver_set_image_type`